#ifndef GetParameterBySemantic_H
#define GetParameterBySemantic_H

#include <Command.h>

namespace ProtoGenWrapper {
	class DParameterContainer;
}

class DResponse;

namespace ProtoGenWrapper
{
	class GetParameterBySemantic :
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterBySemantic(const DParameterContainer& parameterContainer, const std::string& semantic);
		GetParameterBySemantic(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameterContainer& parameterContainer, std::string& semantic) const;

		static int GetCommandType();
	};
}
#endif // GetParameterBySemantic_H
